# Apps

## POST /v2/apps/send

>

```json
{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://apis.saleschat.pro"}],"paths":{"/v2/apps/send":{"post":{"tags":["apps-send-controller"],"operationId":"send","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JsonNode"}}},"required":true},"responses":{"202":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppSendResponse"}}}},"401":{"description":"Unauthorized - Authentication is required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorRespDto"}}}},"403":{"description":"Forbidden - You don't have permission to access this resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorRespDto"}}}},"500":{"description":"Internal Server Error - Something went wrong on the server","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorRespDto"}}}}}}}},"components":{"schemas":{"JsonNode":{"type":"object"},"AppSendResponse":{"type":"object","properties":{"request_id":{"type":"string"},"status":{"type":"string"}}},"ErrorRespDto":{"type":"object","properties":{"error_code":{"type":"integer"},"error_message":{"type":"string"},"error_description":{"type":"string"},"payload":{"type":"object"}}}}}}
```

#### Authentication

Include your API key in the `x-api-key` header:

```
x-api-key: sc_rest_a1b2c3d4e5f6...
```

The API key can be generated from the dashboard for an External App. It identifies both your app and your organisation — no need to pass an org ID.

Note: The App API key is separate from Org API Key.&#x20;

#### Request Format

```json
{
   "messaging_product":"whatsapp",
   "to":"+919876543210",
   "type":"template",
   "template":{
      "name":"appointment_reminder",
      "language":{
         "policy":"deterministic",
         "code":"en"
      },
      "components":[
         {
            "type":"body",
            "parameters":[
               {
                  "type":"text",
                  "text":"Rahul"
               },
               {
                  "type":"text",
                  "text":"March 25, 2026"
               },
               {
                  "type":"text",
                  "text":"10:00 AM"
               }
            ]
         }
      ]
   }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.saleschat.pro/api-documentation/apps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
